Introduction

Copyright © Hydropixel Ltd 2019. All Rights Reserved.


About Inchart

Introduction ››

Inchart is an add in for AutoCAD used for the production of offshore survey charts. It has been designed specifically for the production of series of alignment charts but is also useful for more general charting purposes and as a data QC tool.

Inchart's goal is to facilitate the production of high quality charts through a simple user interface which allows all chart parameters and formatting to be set initially at the planning stage. It's highly customizable data import functions allow data to be read in almost any format and once an Inchart project has been created, unlimited numbers of charts can then be quickly generated with the same formatting by simply changing the data sources.

A key feature of Inchart is that it maintains a list of all survey data internally in the actual chart drawings themselves. This makes it very simple to add / remove / regenerate parts of charts at any time without adverse side effects.

Inchart runs on all full (non Lite) versions of AutoCAD from 2008 to 2014 (including civil and map).

Features

  • Runs inside AutoCAD
  • PaperSpace or ModelSpace charts
  • Performs operations on a virtually unlimited number of charts simultaneously
  • Panels and data on existing charts can easily be regenerated at any time without side-effects
  • Geographical Latitude / Longitude grid on plan views from in-built geodetic functionality
  • Support for projects containing multiple routes
  • Easily configured to imported data from ASCII files in any format
  • Previews of panels and data
  • Automatic generation of chart centres along routes
  • Chart specific information stored internally inside drawings
  • Automatic trimming of data to panels upon adding it to charts
  • Panels / data may be generated as blocks, XRef's or entities
  • Variable text with configurable automatic and user defined data fields
  • Key plan functionality

Figure 1. Typical pipeline alignment chart produced by Inchart


Installation and Usage

Introduction ››

System Requirements

  • Any full version of AutoCAD from 2008 onwards (Map and Civil are also compatible)
  • Microsoft .NET Framework version version 3.5 (required for AutoCad 2008 - 2012)

The installer will detect if the .NET framework is not already installed. If required it can be downloaded from the Microsoft website here (Note that this is not a requirement for AutoCAD 2013).

Installing

To install Inchart simply run the setup program. Ensure that AutoCAD is not running before installing Inchart. If multiple versions of AutoCAD are installed on the computer then it will be installed for the last version of AutoCAD run. For AutoCAD 2013 or later, the installer will install Inchart via the AutoCAD apploader mechanism.

Running

To launch Inchart, open AutoCAD and type 'Inchart' in the command line. Alternatively it may be launched from the plugins tab on the ribbon bar in AutoCAD 2013.

Uninstalling

To uninstall Inchart, Ensure that AutoCAD is closed, and then either use 'Add or Remove Programs' in Control Panel or run the uninstaller directly from the start / program files menu.


License Activation

Introduction ››

Inchart uses a hardware locked licensing system to lock a license to a particular machine. After installing Inchart it is necessary to email a hardware ID code to support@hydropixel.com , you'll then be sent a license activation code specific to your machine by return email. Usually you'll receive the license within 24 hours but in some instances it may be a little longer. In any case the software will work for 5 days without being activated so you can start using Inchart Immediately.

Activating Inchart: Step by Step Instructions

After purchasing Inchart you will be provided with a download link to the latest version on Inchart. After installing and running Inchart you'll be presented with the licensing dialog shown below. Click on the 'Enter License' button.

On the next page click on the 'Offline Activation' button

The next page will display your hardware ID code. Email this code along with your order reference number to support@hydropixel.com . You'll receive a license code by return email (usually within 24 hours) to activate the license.

After receiving your license, on the previous page enter your license code, either by pasting it in or by using the 'load from file' button. Click the 'Apply License' button to activate Inchart on your machine.


Transferring Licences

Introduction ››

A license may be transferred from one machine to another by first deactivating the license on the first machine. You'll then be presented with a deactivation confirmation code. Email this code along with the hardware ID code of the second machine to support@hydropixel.com and you'll be issued with another license code.

Note that after deactivating a license. Inchart will no longer work on that machine without a new license code.

To deactivate a license go to the 'Help' -> 'About' menu as shown below:

Click on the 'Transfer License to Another Machine' button to invalidate your license. After confirming you wish to invalidate your license, you'll be prompted to save your license deactivation code.

If for whatever reason you cannot locate your license deactivation code a copy is always saved in the Inchart application data directory (type %appdata%/hydropixel/inchart in windows explorer)


Part 1: Using Inchart

This section explains how Inchart works and how to use it


Overview

Part 1: Using Inchart ››

An Inchart project is composed of 3 main parts:

  1. A list of Chart Centres which define the location, size and rotation of plan view panels in each chart.
  2. A chart tree structure of settings which is constructed by adding various panels to a 'root' chart item.
  3. Additional Panel Components which may be added to certain panels following chart creation.

The diagram below illustrates the charting process using Inchart. The Inchart project stores the chart layout, formatting and data import configuration. Once the project has been set up data can be automatically added to charts with the correct formatting.

Figure 1. Diagram of Charting workflow and Inchart project structure


How Inchart Works

Part 1: Using Inchart ››

Charts can create charts in either ModelSpace or PaperSpace. In both of these the panels / data will be drawn at real world size in ModelSpace (if using the PaperSpace option then viewports will also be drawn around the panels in a PaperSpace layout). A chart base template will be drawn on the chart scaled either to real world size for ModelSpace charts or in millimetres for PaperSpace charts.

Each plan view panel has a corresponding UCS (User Coordinate System) which can be set current to operate in real world coordinates. Note that if PaperSpace charts are generated then the viewport will automatically be set to it's panels UCS. The use of UCS's allows multiple plan views over the same area per chart with different content to be created easily without the risk of overwriting. Typically various profile panels are then automatically aligned to the plan view panels.

Charts and their Plan views are generated based on a list of chart centres. These define the centre position, width, height and direction of each plan view panel in each chart. After this is done and some initial chart properties are set empty charts may be created, these will simply contain a Chart Base template but are otherwise blank drawings which (importantly) store some information in an internal dictionary detailing the chart's ID, overall scale, whether the chart is PaperSpace or ModelSpace and the chart centre(s) for that chart.

After creating charts, various panels and data can then be added as either as xref's, blocks or entities to multiple charts with a single action.

Re-adding panels or data to charts will automatically remove the existing instance of itself allowing changes to be made very quickly and avoiding the need to manually delete data from charts to avoid duplication.

Note that the overall chart scale, and whether the chart is PaperSpace or ModelSpace settings are set in the chart dwg's upon initial creation and are subsequently read directly from withing the charts when adding panels / data. Changes made to these properties in Inchart after the charts have been created will have no effect. To change these fundamental properties the charts must be regenerated.

There is also a batch component removal tool for removing Inchart panels and components in charts.

Typical Chart Creation Steps

  1. Set basic chart options: Scale, Chart Base and whether charts will be in ModelSpace or PaperSpace
  2. Define some chart centres
  3. Generate empty charts
  4. Define some panels (and specify their location, size and settings)
  5. Set data import options
  6. Add panels and data to the chart
  7. Regenerate panels / data on the charts as required

After a set of panels and data import options settings have been configured, adding or changing data to multiple charts is achieved by simply changing the path to the data and re-adding to the chart or charts. Additional charts can also be created at any time.

Alternatively there is also an option to create charts with panels which will automatically create charts with all the panels defined in the project. Note that panel components such as matchlines etc, will still have to be added to panels after chart creation.


User Interface: Edit Page

Part 1: Using Inchart ››

There are two main pages on the Inchart main window, an Edit page and a Chart Centres page. These are switched between using the tab at the bottom of the window.

Edit Page

The Edit page is where the panels on the chart are specified and their properties set. The top left window displays the chart and its panels in a tree structure whilst the window on the right displays their properties. Selecting an item on the left will automatically display its properties in the panel on the right. All actions such as adding, deleting previewing or adding to charts are controlled by right clicking on the item in the left window. The windows may be resized by dragging the white space between them.

The bottom left window shows only components which may be added to panels on charts. For example chart matchlines or contours would be added to a plan view panel already in a chart.

Figure 2. Inchart Edit Page

Note that adding a profile panel will automatically add a data sub-item underneath it. Here all settings that relate to the data are found. Conversely the Panel items only store settings related to the panel itself, i.e gridlines, vertical scale, ticks, labels etc.


User Interface: Edit Page - Usage

Part 1: Using Inchart ››

Creating charts

When starting a new project, only the chart item will initially be present in the top left panel. The first thing which always needs to be done is to set the overall chart scale property which will be used for all panels (except for vertical scales in profiles). The second thing to do is to set the base chart template which should contain outlines of the panel locations. This base chart will be added to our charts upon creation. When adding panels to the chart and setting the size and location, Inchart will ask if you want to set the size and location directly on this drawing. The chart geodesy is also set on the chart item and will be used for all plan view panels on the chart.

Charts may be created after the following options have been set:

  • Overall chart scale
  • Chart type (ModelSpace or PaperSpace)
  • Base chart template has been selected
  • Chart centres have been defined

Note that Inchart properties such as text height are always specified in millimetres in Inchart and then are automatically scaled to the right size when they are added to charts

Individual panels are added by right clicking on the charts item as illustrated below.

figure 3. Adding a panel to a chart

The general process of adding panels to a chart is as follows:

  1. Add panel to chart item
  2. Set panel size property
  3. Set other panel properties
  4. If its a profile panel, set its data sub-item properties
  5. Preview and if OK, add to charts

Previewing

Previewing a panel or data is achieved by right clicking on an item and selecting 'preview' on the menu. It will open a new drawing to draw the preview each time unless this has been explicitly disabled in the tools -> options menu, in which case it will draw straight into the open drawing.

Before previewing a panel it's size and location properties must be set. If the panel is a plan view (or a profile panel which has had its alignment property set to a plan view) then you will be prompted to select one of the charts which have been defined on the chart centres page. Alternatively if it is a profile panel which has not been aligned to a plan view it will just be drawn with whatever properties have been set for it.

Previewing a data sub-item will preview all the data in the file which has been set. It will always draw plot profile data in increasing KP direction from Left to right and the X coordinates displayed in AutoCAD will be KP values specified in Metres. For data with a vertical scale component, this will be retained from the parent panel settings if needed.

For panel components in the bottom left window such as matchlines or KP markers, there are two separate preview options:

  • Preview / Draw
  • Preview / Draw (Single centre)

The first draws all the data whilst the second asks for one of the chart centres defined on the chart centres page and then only draws data within the selected chart centre.

Adding Panels and Data to Charts

To add panels to charts simply right click on the panel item. You will then be prompted to make a selection of existing chart drawings to add the panel to. Note that adding a profile panel will always populate itself with the data specified in the data sub-items properties, although additional components may also be added.

All Inchart's operations on drawings take place on closed drawings without opening them in the autoCAD editor. For this reason chart drawings must be closed before adding data to them.

Inchart maintains an internal dictionary (in the chart drawings) of all data added to the chart. This allows data / panels to be automatically removed when re-adding panels or data to charts (so it is unnecessary to manually remove data when re-adding panels or data to charts, unless it has been added manually outside of Inchart).

Adding a Panel Component to Charts

Adding a panel component to a panel in a chart will query the selected chart drawings and check which panels are available to allow you to choose the panel on which to add the data to. The data will be trimmed to fit the panel automatically.

Removing Panels / Panel Components

Removing panels or panel components which were added with Inchart should be done through the Component Removal Tool , accessible through the Tools->Chart menu at the top Inchart window menu. This will preserve the integrity of the internal dictionary inside chart dwg's which Inchart uses to keep track of it's panels and components.

If you instead delete panels / components manually from the chart dwg's, the worst that will happen will be that Inchart may give you the option to add a component to a panel which no longer exists.


User Interface: Chart Centres Page

Part 1: Using Inchart ››

The Chart Centres page is where all the chart centres for all the charts are defined. Each chart can have multiple centres (one for each plan view Panel), referred to as keys. When adding a plan view on the Edit page, there is a key setting which tells it which centre to use for any given chart.

Chart centres may either be added one at a time, or by auto-calculating them based on a route and some options. The centres may be edited either manually in the table or alternatively by in AutoCAD where they can be moved / rotated as required and then once happy the new values can be retrieved.

After chart centres have been defined, empty charts may be generated from the Edit page. It will now also be possible to preview data for any of the centres.

Chart centre information is added to empty charts when they are created. Initially just the chart name / number and centre keys IDs. When plan views are added a UCS is added along with it. Subsequent data added to the plan view will use its UCS to correctly position data. Profile panels also store similar information inside drawings.

Note that if you change any chart centres after charts have been created and then recreate the affected plan views then all existing data already contained in the plan view will have to be regenerated. If the data has been added by Inchart then the change will be detected and it will be automatically be removed, however if it has been manually added to the chart outside of Inchart it will have to be manually removed.

Assigning Multiple Routes in a Project

For projects such as oilfield developments with multiple pipelines it's may be useful to also associate a route file with a particular chart (to avoid having to select different routes when working on charts on a different route. There is an optional Set Route's Tick box at the bottom of the page which when checked adds the 'Route' column to table of chart centres. If a route is defined here it will be used in place of all route file properties on the Edit Page (the properties will be hidden).

When this functionality is used the settings in the chart centres page are used to identify the correct route file to use. It's essentially a lookup which checks the internal Chart Id's from the dwg's against the route files defined on the chart centres page for the given chart / panel.

Figure 4. Inchart Chart Centres Page (Example shows a series of charts with a single centre and a route file assigned to each chart)

The buttons at the bottom of the page perform the following functions:

Figure 5. Buttons at bottom of chart centres page

Importing and Exporting Chart centres

Chart centres may be cleared, imported or exported using the buttons shown above. Note that when you save your Inchart project, the centres are automatically saved along with it, so these buttons are really only meant for transferring chart centres between different Inchart projects, or other software. You can also copy and paste from the table directly into excel or a text editor.

The format of exported chart centres (.ctr files) is very simple comma delimited text file:

chart series (may be blank), chart name, chart key, Centre East, Centre North, Rotation (clockwise 0° is North up), panel width, panel height

Chart names should usually just be numbers. When creating charts a prefix and postfix may be applied to the name. Chart Keys should be integers. The series name is optional and allows there to be charts of the same number (name) with different routes (for example pipe 1, chart 001, pipe 2 chart 001 and so on).

Adding Single Chart Centres

When adding a single chart you will be prompted to enter the number of centres (keys) per chart. Each subsequent chart must have the same number of centres. Charts must also have a unique id composed of series name + chart name. Centres will be created with the default width and height values in the boxes at the bottom of the page.

Automatically generating chart centres along a route

The create centres along a route button is used to automatically generate panels of equal size along a route. Centres will be created with the default width and height values in the boxes at the bottom of the page.

A route file must be selected from the list of available routes in the assigned Route Directory directory. The 'North up' check-box option will create a series of North up chart centres along a route.

Figure 6. Create chart centres along a route dialog box

Setting Routes for individual charts

If the Set Routes check-box is enabled, then the chart centre page can serve as a lookup function to assign routes for individual charts. In order to use this functionality all routes used must reside in a single directory set in the Route Directory property. If set routes is enabled then the route associated with the chart on the chart centres page will be used in place of all route file properties in the project (these properties will then become hidden).

Splitting chart centres

Chart centres may be split into several sections using the split panel in AutoCAD button in order to create split panel plan views. Using this function a chart centre may be selected in AutoCad and split at a given length along itself. Split chart centres are given an additional letter postfix (a,b,c,d etc). When a plan view is generated which uses the major chart centres key, it will detect and split itself accordingly. Note that the split panels are always ordered left to right with increasing postfix letters. Typical usage of split panel keys is for cable charts for a cable with sharp bends.

When creating split chart centres, the Split Gap property in the first Plan view on the edit page will be used to correctly size each split centre to allow for the correct size gap between panels on the chart. Inchart will remind you of this before splitting a chart centre to ensure the correct values have been entered.

All Profile Views aligned to a split Plan View will automatically be split and maintain the same gaps as the Plan view.

Undoing chart centre splits

Split chart centre's may be undone using the Undo panel splits button and then selecting a split panel in AutoCAD. This function resets all splits for a given chart centre.

Manipulating chart centres in AutoCAD

After creating chart centres they should be adjusted as required in AutoCAD. The send to AutoCAD button will send all chart centres in the table to the current drawing in AutoCAD (where they will be added as block references). The chart name (and key if more than one centre per chart) are added at the top of the rectangle to identify which chart is which (and as an indicator of which way is up). They can be moved rotated, even copied to another drawing. Once happy with the position of the centres the update from AutoCAD button will then update the table with the positions and directions of the block references in the current drawing.

Figure 7. Chart Centres sent to AutoCAD (Example shows a series of charts with two centres per chart)


User Interface: Projects

Part 1: Using Inchart ››

Saving Projects

Saving an Inchart project (.prj) file saves everything needed for chart generation: Panel and component settings and chart centres. It is not necessary to save anything else unless you want to pass data between different projects.

Default Projects

Whenever you add a new panel to a project on the Edit Page, it is initialised with properties which are read from a set of defaults (an .ini file loaded on start-up of Inchart, similarly panel components are initialised from these defaults upon creation of new projects). These defaults can be edited as required and imported / exported. This provides a useful means of maintaining a common set of chart formats between different projects.

Note that setting defaults is optional and this section is included here only for reference.

The default settings are accessed from the tools -> options -> defaults menu. It looks very similar to the Edit page with a single instance of each panel.

Figure 8. Default settings dialog


User Interface: Importing Custom Data Formats

Part 1: Using Inchart ››

Almost all data imported through Inchart is imported through a flexible ASCII Importer (with the exception of some standard formats for routes, cross profiles etc).

Figure 9. Inchart ASCII Importer, configured to import 5 fields from a pipeline listing.

This dialog is automatically opened when selecting an input data file. Generally it is used to identify and map particular columns of data which are often a mix of mandatory and user defined fields. The columns to map are shown at the top of the window on the left. The correct values should be entered here and verified by ensuring that the correct column headings are displayed above the appropriate columns.

If the file contains a header it will also necessary to set the number of header lines property in order for them to be ignored (these are shaded grey). It may also necessary to change the column delimiter until the columns appear correctly in the preview window.There are also some units properties which may be set if needed.

Once this has been done once for a particular component the settings will be saved in the project, so the next time a new file (in the same format) is selected it will already be configured and the data can be added straight to the charts.


User Interface: Event Configurations

Part 1: Using Inchart ››

Inchart uses a common event configuration format for events profile panels, plan view events and longitudinal profile events (though some have slightly different options). Event configurations are configured and edited through a flexible Event Configuration Editor. There are two types of events, single events (which define an event at single location) and span events (which is the range between two events, for instance a freespan or burial section).

When Inchart reads a row of data from an events listing it evaluates it against all events defined in the configuration. If the data in the row meets the event's identification criteria then a new instance of that event will be created for adding to charts.

The basic process for adding events is the same for all Inchart event components.

  1. Specify some input fields on the components properties on the edit page of Inchart. (There will always be some mandatory fields i.e KP or Easting / Northing).
  2. Add and configure all events in the event configuration editor (the fields defined in the step above will now be available).
  3. Select the input events listing ASCII file (the ASCII Importer will appear requiring you to map the fields to columns of data.
  4. Add the events to chart drawings.

Import fields

Import fields are simply columns of data which Inchart will read from the events file. For event profiles and longitudinal profile events, KP is a mandatory field which must be identified in the events file, whilst for plan view events Easting and Northing fields are mandatory. Events fields may be used for a range of things in Inchart for instance identifying events and setting label text. Numbers can also be stripped from fields and formatted in a flexible way.

Figure 10. Example import fields from an events profile

To add more fields to an Inchart events set the 'Number of fields' property and then enter a name for each. (When you select an input file, the fields must be mapped to the appropriate column in the events file as in the ASCII /importer as described on the Importing Custom Data Formats page). The fields defined will then be visible in the event configuration editor.

Event Configuration Editor

After input fields have been defined the event configuration can be built using the Event Configuration Editor. If the event configuration is for an events profile then all the event category panels should be added to the panel list and ordered correctly. The next step is to add new events one at a time using the + button. Each event must has a set of Identification settings, some formatting options and and label text content options. Note that Span events (for instance freespans and burial) have two sets of Identifiers (to define their start and ends).

Figure 11. Event configuration editor showing a configuration for a events profile (Note for longitudinal profile / plan view events the panels display would not be shown

Identifying Events

To set the Identification properties for an event, double click its Identification cell to bring up the event search options dialog:

Figure 12. Setting an events identification criteria in the event search options dialog

An event will be identified by matching the text (made up from the contents of one or two fields) with the value entered in the 'Identifier' box on the right. If two fields are used then a space will automatically be added between them, for instance in the example above if the contents of a line in the events listing contained an entry with 'Primary' field = 'Field Joint' and 'secondary' field = 'OK' then the event would be identified (note that to use only one field, set Field 2 to 'none').

A numerical filter condition may also be set which will be checked after an event is identified from the text fields. If this is enabled some additional options will become visible.

Figure 13. Additional options if 'Event requires numerical filter to be met'

There are two options here:

  1. Number within text is a multiple of a number you enter
  2. Use only <Value>th occurrence of event

The first option will strip the number out of the contents of a specified field (it will ignore any text characters and use the first valid series of digits), If this number is a multiple of the number entered in the 'value' box then the condition is met and the event will be successfully identified (An example of this would be for defining an event with a text label for every 10th field joint, where the numbers were incrementing by one in a field).

Using the second option will count the number of times the event has occurred and only accept if the count is a multiple of the number entered in the 'value' box. This could be used in place of the first option if there were no fields with incremental values or if the field values were unordered.

For span events two sets of identifiers must be specified (one for the start and one for the end).

Event Marker Heights And Label Positions

There are several options to set the heights of markers, text, span bars which are fairly self explanatory. For an events profile these heights are expressed as a percentage of a single event category panel whilst for longitudinal profile events and plan view events they are expressed in mm. If custom attributed blocks are used for single events then these height options will be disabled and the block will be scaled to the event category panel height (the block should be sized between 0 and 1).

Event Label Text

Double clicking an events text contents cell will bring up the text contents dialog:

Figure 14. Text contents dialog box

Any text may be entered to appear in the event label text. Also the contents of any predefined fields may be included by enclosing them in angle brackets (for example '<Length>m x <Width>m x <Height>m'). The text may be split into multiple lines by inserting '\P' into the text.

Numbers may also be stripped and formatted from the contents of predefined fields by prefixing the field name with a a format inside curly brackets, for example <{0.00}KP> would result in the numerical part of the KP field formatted to two decimal places (any other non digits in the contents of the field are ignored if the number formatting parameters are specified).

Exporting and Importing Event Configurations

Event configurations may be exported to an event configuration .evc file and then imported into a different event component or project. This is done from the right click menu from either the data sub item for event profiles or the component item for plan view or longitudinal events. (Note that event configurations are always saved with the project as well).

Note that when you export an event configuration from an event profile and import it in a plan view or longitudinal event configuration it will automatically convert the panel heights (expressed as % of a single category panel into mm). Doing it the other way around (from plan view / longitudinal profile events to event profile) will try and do the same, but if the event configuration was initially created in the plan view or longitudinal events, no panels will be defined so the heights will just be converted directly from mm to %.


Part 2: Chart Components Reference

This section details the chart options and the various panels which may be added directly to charts. It is represented in the upper property tree on the edit page


Chart

Part 2: Chart Components Reference ››

The Chart component is the root building block of an Inchart project. When a new project is created all it will contain is a Chart item. The project will then be built up by adding panels to it. The chart item defines several important properties which will then be applied to all panels which are added to it. It is also where the functions for generating charts are accessed from by right clicking the Chart item.

Figure 1. Empty project containing only chart item

Chart Generation

Chart drawings can be generated for any charts defined on the Chart Centres page of the Inchart window. If empty charts are generated they will simply be empty drawings (apart from the base chart template) which contain information stored in an internal dictionary storing the chart name and all panel keys defined on the Chart Centres page for the particular chart. Upon subsequently adding panels to the drawings, Inchart can query and use this information.

There is a further option to 'Generate Charts and Panels' which will do the same thing as well as then adding all the panels which are defined in the project. Note that as panels can be added to multiple chart drawings simultaneously, there probably is not much to be gained by using this function.

Chart Scale

The chart scale property defines the overall scale of the chart which will be used for all plan view panels as well as the X axis scale of all profile panels.

Geodesy

The geodesy for all plan view panels is set from here. It can be set by clicking on either the Ellipsoid or Projection properties which will bring up an 'input geodesy' dialog box. The geodesy defined here will be used by all Plan View panels.

Geodetic functionality in Inchart is currently limited to drawing geographic graticule's along with latitude and longitude axis labels on a plan view. The geodesy must be set to whatever projected coordinate system your input data is in. A test conversion (at the bottom of the input geodesy dialog box) should be performed to verify that it is correct. At this time Inchart does not provide any datum transformation capabilities.

If your input data is in a projection not supported by the current version of Inchart, please contact HydroPixel and it can be added in. Inchart uses a .NET port of the well known .proj4 geodetic library which supports many more projections than are currently shown in the Inchart input geodesy dialog box.

Base Chart Template

A base chart template must be specified in the chart properties before new charts can be generated. Chart Bases must be created differently depending on whether the chart type is ModelSpace or PaperSpace.

For ModelSpace charts the base chart template needs to be scaled to real-world coordinates. A sensible approach is to create the base chart template initially in mm and then finally scale it and then save it. The required scale factor (sf) can be calculated by sf = scale / 1000, for example for a 1:5000 chart, the template would need to be scaled by 5000/1000 = 5.

For PaperSpace charts the template must be in paper units (millimetres), and drawn in ModelSpace (although this will later be added to PaperSpace upon chart creation). The first PaperSpace layout must also be set up with the desired page setup and should be blank. (This PaperSpace layout will then be used in all generated charts).

Base chart templates may be added as either an XRef, as a block or as entities. It's recommended to add it as an XRef so that any changes made to the base chart template drawing will be automatically reflected in the charts. If however it is added as a block or entities it may still be manually replaced using the Replace chart bases function in the right click menu.

Key Plan

Key plan blocks may optionally be defined in the Base Chart Template. This will enable the option to draw plan views and matchlines on each key plan defined. Key plans must be blocks in the Base Chart Template drawing with the block origin at 0,0 (i.e. in block edit mode it's in real world coordinates). They may be rotated or non-linearly scaled. They must be visible as a block in the base chart template (i.e. not nested in another block). To define key blocks, first enable the Define key plan property and then select the blocks from the property below. Multiple key plan blocks may be defined.


Plan View Panels

Part 2: Chart Components Reference ››

Plan view panels are defined by chart centres on the Chart Centres page. Each chart may have multiple centres / plan views, each of which is assigned a key. Plan view panels in chart are simply the chart centre rectangles with optional grid lines / geographic graticules drawn on them usually a North arrow. Whenever a plan view is added to chart, a user coordinate system (UCS) is also added to the chart. To switch to the real world coordinates for a plan view in AutoCAD open the UCS manager (Tools -> Named UCS) and set the entry for the name of the plan view current. Note that plan view UCS's may also be set current in multiple chart dwg's with the Batch Bind Tool . If PaperSpace charts are being generated the plan view PaperSpace viewport will automatically be set to the UCS.

Figure 2. Example plan view panel with gridlines, geographic graticules and North Arrow

After a plan view has been added to a chart, various planview components such as matchlines, routes with KP flags etc. may be added to it from the Inchart Panel components window at the bottom of the edit page. After selecting the chart to add the component to, Inchart will query the chart drawing and prompt you to select one or more plan views which are already in the chart. Plan view component data will automatically be trimmed to the plan View.

Note that it is recommended to always add position critical data to plan view panels using Inchart. If a chart centre is adjusted and the plan view is regenerated Inchart will detect that the UCS has changed and automatically remove all components for that plan view.

Plan Views are also typically used as an alignment source for various profile panels. Inchart has a number of profile alignment options which are discussed in below.

Adding New Plan View Panels

Plan view panels are added by right clicking the chart item and then Add plan view. The following important settings must then be set:

  • Panel key (Used to identify the chart centre)
  • Location (The location of the bottom left corner of the panel on the chart, If you click the 'set' property you will be prompted to set this directly on the base chart in AutoCAD)

Following this, any other properties can be set as required. Most should be self explanatory. The position of the north arrow must also be set if required. In common with all Inchart components there are many properties for defining all aspects of text / grid-lines etc.

Profile Alignment Options

In order to align profile panels to plan views, some properties must be set in the Plan View. Firstly a route file must be set to obtain the KP values for whatever alignment point is used. There are a number of alignment points which can be selected:

  • Panel Centre (The centre of the panel)
  • Panel Left (The left of the panel)
  • Panel Right (The right of the panel)
  • Panel minimum KP (Whatever side of the panel has the minimum KP)
  • Panel maximum KP (Whatever side of the panel has the maximum KP)

There are two further options which may be enabled:

  • Align nearest KP flag (Will calculate the nearest KP flag to the alignment point and use it's location)
  • Align ends of route (If either the start or the end of the route is within the panel, then one of these may be used

Note that the alignment points will be calculated from information stored internally about the plan view in the chart drawings. All profile panels in Inchart are drawn with a linear scale, (Inchart does not support non-linear, i.e. profile panels with a stretched distance Axis to match the Plan View KP's exactly).

Note that aligning a profile to a plan view will also automatically set it's horizontal direction.

Split Plan views

Plan views will be split according to the split chart centres defined on the Chart Centres page. The Split Gap distance plan view property on the Edit Page defines the distance between split plan view panels. It is important to set this property before splitting the chart centre (as it affects the size of each panel).

North Arrows

North arrows may also be added to the plan view. These may either be from a custom block, or using a simple default North Arrow which Inchart creates. If using a custom block, it's original size should be 1 unit so that it may be scaled to the correct size in mm set in the properties. After creation of a plan view the location property of the North Arrow must be set (which can also be done directly in AutoCAD).

Admiralty borders

Inchart has an option to draw Admiralty style chart borders around the outside of plan views.

These borders display geographic lat/lon values along a graduated scale. They display a coordinate at major intervals, fractional values between these as well as hatched intervals and minor ticks.

Figure 3. Example admiralty style border

There are two slightly different border styles, the default 'Admiralty' style one as shown above and a simplified one with a slightly different alternating hatch style.

It is important to set the various axis interval properties with appropriate values to ensure all the labels, hatches and ticks all line up with each other

  • Major Label interval (the interval which the full coordinate labels are drawn)
  • Minor Label interval (the interval between the secondary fractional labels)
  • Major tick interval (the interval between the alternating hatched areas)
  • Minor tick interval (the interval between the small ticks

Each interval should be an exact division of the it's parent interval, for instance (for the above example):

Major label interval = 1', Minor label interval = 15" Major tick interval = 5" and Minor tick interval 1"

Note that the minor (fractional) labels use the units setting on the properties to control how they are displayed.

There are various other properties which control formatting etc.

Key Plan Options

Plan View's have the option of drawing their outlines over key plan blocks in the Chart Base (note that this will only work if at least one key plan has been defined in the Chart properties). There are options to draw the outline, fill it with a solid hatch and also add a custom block to the centre of the plan view outline (for example an arrow with some text). For series of alignment charts it is common to use this along with the equivalent properties in the matchlines component to create a 'this chart' indicator along with all the other chart centres along a route. For information on creating a valid key plan block see the key plan description on the Charts page.

Plan view components

After a plan view has been added to charts, then a number of plan view panel components may be added to them:

  • Route / KP flags
  • Matchlines
  • XY lines
  • Geo-referenced images
  • Contours
  • AutoCAD drawings
  • Events
  • Point Symbols / Blocks


Profile Panels Overview

Part 2: Chart Components Reference ››

Inchart currently supports four Types of profile panels:

  • Longitudinal profile panels
  • Cross profile panels
  • Embedment profile panels
  • Event profile panels

At the most basic level these are all simply plots of different kinds of data along a distance axis and for this reason Inchart splits the properties of each of these into two separate components, a Panel item which describes the geometric properties of the panel (similar for all profile panels) and a Data sub item which contains the properties which relates specifically to the data.

Figure 3. Long Profile panel item with data sub-item.

Whenever a panel is added to a chart drawing it automatically adds the data to it as well. If you want to change the data on a profile panel you will have to re-add the profile panel to the chart. (note though that for Longitudinal profiles, events and individual / calculated profiles may be added / changed at a later stage.

Adding New Profile Panels

Profile panels are added by right clicking the chart item and then Add new xxxx profile. The following important settings must then be set in the panel item:

  • Location and size (If you click the 'set' property you will be prompted to set this via a rectangular selection on the base chart in AutoCAD)
  • Alignment source (Either select a plan view here, in which case it's alignment settings will be used, or instead set it to 'none' and manually set a centre X value and horizontal direction for the profile)
  • Vertical Y scale
  • Centre Y (The centre Y value for the profile, note that longitudinal profiles have an Automatic function which may be used for this)
  • Vertical Direction (Whether the Y axis values should increase downwards or upwards)

Note that event profiles do not any have any Y axis properties.

If the profile is aligned with a plan view then its horizontal scale will automatically use the overall charts scale otherwise a user specified horizontal scale can be entered. Note that the horizontal scale option hidden if the alignment is set to a plan view panel.

All profile panels have a wide range of options for setting axis labels and markers, for example text / line formats, text decimal places, units, whether it's located inside or outside the frame etc.

After the panel settings have been set the data properties should be set. This varies for each type of panel and is discussed on the following pages.

Aligning With Split Plan Views

Note that if a profile panel is aligned to plan view which is split, it will also be split at the same locations as the plan view and use the same gap between split panels.

For more information on plan view alignment, see the plan view page.

Profile Data preparation

It is important to ensure that profile data is properly sorted in Increasing KP direction before use. Note that Inchart will not perform any sorting internally. Making these assumptions allows Inchart to selectively read only the parts of input files required. This saves a lot of time, particularly when adding profile data in large files to many charts simultaneously.


Longitudinal Profile Panels

Part 2: Chart Components Reference ››

Longitudinal profile panels in Inchart are used to plot one or more profiles of some kind of data (usually depth) versus distance. In common with the other profile panels , the top panel item is concerned with defining the geometric properties of the panel itself whilst the data sub-item contains the properties of the profile data. A single longitudinal profile panel in Inchart can contain an unlimited number of profiles which are defined in the data-sub item.

Inchart also has the option to automatically set the centre Y property of the panel to centre itself on the mid value of all the profile data. It can also be set to auto-split profiles which will split the profiles into several sections with different Y axis to accommodate all profile data if the combined vertical extents of the data exceed the vertical range of the profile panel.

Figure 4. Long profile panel with multiple profiles and auto-split property enabled.

Defining Individual Profiles

Individual profiles are first defined in the data sub-item as follows:

  • Set the 'Number of Profiles' Property (this will add an extra set of properties for the number of profiles defined)
  • For each of the profiles, give the profile a unique name and set it's colour / linetype etc properties.
  • Set the input file, you will have to identify a data column for each of the profiles you have defined as well as a mandatory KP column in the ASCII importer.

Max-Gap Size Property

This property will split a profile into several polylines if there are any gaps exceeding the distance set here (setting the value to zero will disable this).

Draw Pipe Profile Property

This property allows profiles for top and bottom of a pipe to be defined when only one of these is available and a diameter. Once enabled this will add a new set of properties for 'Pipe' similar to the other individual profiles except that it contains an 'Import options' property which must be set to tell Inchart what to import to calculate the missing side of the pipe. The diameter may be in any units, so long as the 'dimension units' property is correctly set in the ASCII importer properties. Enabling this property also allows the pipe to be filled with a solid hatch.

Hatch Options

There are also options to hatch various parts of the profile, background, profiles and pipe (if one is defined).

Figure 5. Example long profile panel with pipe, profile and background hatches enabled

*Note: If Longitudinal profile components (i.e events or individual / calculated profiles) are added, they may be obscured by hatches.

Alternating Hatch Border

Inchart has the option to draw alternating hatch borders on the outside of profile views.

Figure 6. Alternating hatch border

The alternating hatch interval is set by the minor tick interval. Note that tick sizes must have the thickness of the border added on to them so that they extend past the border.

This feature is available for all profile panels but it's been included here as it's most likely usage is on longitudinal profile panels.

Panel Components

Inchart currently supports the following panel components which may be added to longitudinal profile panels on charts:

  • Events
  • Individual / calculated profiles

These are described in detail in chapter 3.


Cross Profile Panels

Part 2: Chart Components Reference ››

Cross profile panels in Inchart are used to plot series of cross (traverse) profiles along a distance axis. In common with the other profile panels , the top panel item is concerned with defining the geometric properties of the panel itself whilst the data sub-item contains the properties of the profile data.

Inchart currently supports the following cross profile formats although more can be added if required:

  • VisualWorks Cross Profile (.csv)
  • Geoconsult Cross Profile (.gcp)
  • Fledermaus Cross Profile (.txt) *export's should be given .txt extension

Inchart provides options for drawing all cross profiles in a file or a subset of them (for instance only those at 50m intervals). It provides various options for centring the profiles on the pipe or mid depth values as well as various clipping options.

Figure 6. Example cross profile panel

Cross Profile Scales And Axis

Setting the scale for cross profiles is slightly more complicated than for other profile panels as individual cross profiles have their lateral scale on the the panel Y axis. The diagram below indicates where the various scales are set in Inchart.

Figure 7. Cross profile scales / axis parameters

To get a 1 to 1 aspect ratio for cross profiles, the Profile data vertical scale will be equal to the Panel Y scale.

The positive lateral X direction of cross profiles is always on the right hand side of increasing X distance direction. If Visualworks cross profile format files are used, a route is needed to calculate the correct lateral X direction. If the profile panel is aligned to a plan view then this will be done automatically or if not you will be prompted to select a route file.

Cross Profile Formatting

There are various formatting options for individual profiles. Points may be drawn as AutoCAD points or small circles and a line can also be drawn between points. There are also settings for drawing the pipe as well if one is present in the file.

Vertical Grids

A vertical grid may be drawn over individual profiles. This may either show water depth or values relative to a fixed point (i.e TOP or Mean seabed). Note that some reference point options are only available in VW format profiles which have the flags correctly set.

Piggyback Options

Inchart has functionality for drawing a pipe piggy-backed on to the main pipe at a specified orientation. To draw a piggyback pipe a listing is needed to specify the Piggyback orientation with KP. The orientation values may be supplied as either clock positions or angles (clockwise from vertical), the units are set in the ASCII importer.

It is also possible to specify whether to interpolate orientation's to ensure the piggyback is drawn on all cross profiles or alternatively to only draw them where an orientation value exists at the exact KP of the cross profile.

External Blocks

External blocks may be overlaid on individual profiles, for example a design trench relative to mean seabed or some other reference point. Note that some reference point options are only available in VW format profiles which have the flags correctly set. The block should be in real world units and not rotated. It should also be able to be scaled non-uniformly.

Figure 8. Example Individual Cross profile with vertical grid relative to mean seabed level with an custom trench external block overlay and a smaller piggyback pipe displayed.


Embedment Profile Panels

Part 2: Chart Components Reference ››

Embedment profiles are a means of showing the relationship between a pipe and the seabed. In order to draw embedment profiles a data source is needed which can provide data for the bottom of pipe depth, pipe diameter and seabed depths on the left and right side of the pipe. In common with the other profile panels , the top panel item is concerned with defining the geometric properties of the panel itself whilst the data sub-item contains the properties of the profile data.

Figure 8. Example embedment profile panel showing pipe in various stages of embedment / freespan

Embedment profiles have a seperate Y axis one each side of the pipe with zero starting at the bottom of the pipe. The centre of the profile is the top of pipe. This is illustrated below:

Figure 9. Example embedment profile showing axis on either side of (bottom of) pipe

Embedment Profile Input Data

The data source used must contain KP, seabed left depth, seabed right depth, and either top and bottom of pipe or one of them and a diameter. These fields are mandatory (although there is a choice of pipe import combinations).

Note that if possible it is recommended to use diameter and either TOP or BOP rather than TOP and BOP to avoid possible rounding errors if the source data listing is not formatted with sufficient decimal places to calculate the diameter consistently by subtraction of BOP - TOP.

Embedment Profile Formatting

In addition to the usual line formatting options there are solid hatch settings for the pipe and seabed.


Event Profile Panels

Part 2: Chart Components Reference ››

Event profiles in Inchart simply display events along a distance axis, the vertical section of the panel is usually split into different event categories. Like the other profile panels , the top panel item is concerned with defining the geometric properties of the panel itself (in this case only X-axis properties), whilst the data sub-item contains the properties of the profile data.

There are two types of events which may be drawn on an event profile, single events (which define an event at single KP value) and span events (which join two events together to indicate a range, for instance a freespan or burial section). Note that for span events to be drawn correctly the user must ensure that the order of events is correct in the events file.

Events are read from a file which identifies and formats them according to an event configuration and a series of user defined fields. As events can also be drawn on plan views and long profiles, there is a standard event configuration editor which is common for all of these components. It's usage is discussed in detail on the Event Configuration Editor page. Note that event configurations may be imported / exported between different Inchart event components and other projects.

Figure 10. Example event profile single and span events with various formatting options in 9 category panels. Note that the category text is not created by Inchart

Note that when previewing event profiles, if any events are not identified from the event configuration then they will be displayed in a dialog box.

Event Category Panels

Each event type defined in the event configuration editor must have an category panel defined for it (which gives the event it's Y location). All the panels must be defined in the event configuration. Panels may be added, deleted and their order changed using the appropriate buttons at the top of the list. Note that these are just lists of names. Inchart just uses the name and its order to assign the correct Y location for events. All category panels are the same height in Inchart. Text positions and marker heights are entered as percentages of a single panel (the height of a single category panel will be the total panel height divided by the number of panels).

Figure 11. Panels defined (and ordered) in the event configuration editor

Formatting Single events

Single events may be either defined as simple lines with text or more complicated attributed blocks from another drawing file. If simple lines with text is selected then the colour, lineweight and text font is set globally for all single events in the data sub-item. The marker heights and text positions (as a percentage of a single category panel) are set individually in the event configuration for each event type defined. If attributed blocks are used then the blocks should be sized between 0 and 1 (to represent the size of a single category panel). The attribute tag must be named 'Label'. All attribute tags with this name will be given the event text.

Formatting Span events

Span events simply draw a horizontal line bar or solid bar between a pair of (start / end) events. Note that Inchart does not draw the vertical marker at the start and end of the span, these should be configured as single events. There is no custom block option for span events. Text formatting and line width properties are set globally in the data sub-item for all events, whilst bar colour / height and text position are set individually in the event configuration for each event type defined

Other Event Profile Options

It's possible to specify if the horizontal event category lines should be drawn with the DrawPanel Lines property. If these lines are already in the base chart template drawing then this option should be disabled.


Variable Data

Part 2: Chart Components Reference ››

The purpose of the variable data component is to add text content (either text, mtext or block attribute text) to charts which can vary per chart, typically legend entries (such as date, KP limits etc.). The variable data component uses a 'template drawing' to initially add text to charts. The initial text contents (or tag for block attributes) is used to identify text which needs to be updated.

There are two sources of data which may be used to update text fields:

  • User defined fields (a table in Inchart which has user defined fields which can be manually filled in for each chart)
  • Automatic fields from the chart / panels (for example chart name, scale, minimum KP, maximum KP)

After variable data has been added to charts, all fields may be updated from the right click menu on the component item. There is also an 'Auto Updating' option which if enabled will automatically update automatic fields from panels (i.e minimum / maximum KP etc) every time a panel is added or re-added to a chart.

The variable data component works by checking each text, mtext and block attribute from the template drawing entities in the chart. If the text / attribute text contains text which is defined as a variable field to update then it will be updated. The variable data is able to repeatedly update text / mtext as the first time it's updated the original text contents are added as XData to the text or mtext entity.

Note that if a subset of text within the text contents has been defined as a field to update, then only that part of the text will be updated (this is useful means of retaining prefixes / suffixes to automatic panel fields in charts, for example some text with the the contents 'prefix-$$ChartName-suffix'). This also enables multiple fields to be replaced within a single text or mtext.

Template Drawing

This is simply a drawing consisting of either text/mtext or attributed blocks to be updated. It is recommended to prefix the text (or tags in attributed blocks) with something (for instance '$$Start KP') to avoid accidentally updating other text. Note that the contents of this drawing is added to charts once and then the text fields repeatedly updated - the drawing is not re-added to the chart during updating.

User Defined Fields Dialog

User defined fields are fields for each chart which are manually entered (i.e not automatic properties of panels). They are entered in the User Defined Data as shown below:

Fig 12. Example user defined data dialog with some fields and entries added.

Upon adding a new variable data component to a project the fields will initially be empty, but there will be a row for each chart defined on the Chart Centres page of Inchart. New fields are added / re-ordered / removed using the buttons at the top of the list of panels. The table window will automatically update to reflect any changes made to the list of fields. The text fields should be completed with data to be added to charts.

Note that the field name is not the search text used to match text added from the variable data template. The actual mapping of replacement text is controlled by the Variable Text Fields Dialog.

Variable Text Fields Dialog

The variable text fields dialog is used to control how the entities originally from the variable template drawing are updated in charts.

Fig 13. Example variable text fields dialog with some text fields to be updated from both chart / panel and user defined data sources

Upon adding a new variable data component to a project, all entries here will initially by blank. Each entry corresponds to a field which to be updated in the chart drawing. New entries are added / organised using the buttons at the top of the page.

The columns are used as follows:

  • Field ID: This is the text (originally from the variable template) which will be replaced in the charts
  • Enabled: Enables / Disables updating of this entry
  • Source: The source of the data used for updating, either a panel / chart or user defined fields
  • Value: The value to be used from the source data, either an property from a chart / panel or a single user defined field

The field ID is simply text typed into the cell which must correspond to text in the template drawing whilst double clicking in source or value cells will bring up a drop down list of available choices.

The following automatic fields for charts / panels are available in Inchart:

Component | Available fields*
Chart | scale, chart name, chart filename, total number of charts, N of Count
Longitudinal profile panel | minimum KP, maximum KP, vertical scale, KPmin to KPmax
Cross profile panel | minimum KP, maximum KP, lateral scale, KPmin to KPmax
Embedment profile panel | minimum KP, maximum KP, vertical scale, KPmin to KPmax
Events profile panel | minimum KP, maximum KP, KPmin to KPmax

Table 1. Automatic fields available for the current chart and different panels

*Note that there are variations of these fields with combinations of zeroes after the fields name. The number of zeroes

represents the amount of zero padding for example 'N of Count 000' could result in 001 of 100'

Updating Variable Data In Charts

When variable data is added to charts it will automatically update all the entries in the variable text fields with the corresponding data (it will query the Inchart dictionary within the chart drawing for existing panel / chart information and also use the current user defined fields). Note that it is not necessary to re-add the template to charts to update the text fields.

If the Auto updating property is enabled, then every time a panel is added or re-added, the variable template text will be automatically updated if this has defined as a data source.

By right clicking the variable data component and selecting the Refresh all fields in chart(s) menu item, all entries defined (and enabled) in the variable text fields dialog will be updated.

Note that disabling an entry will prevent that entry from being updated.


Part 3: Panel Components Reference

This section details the various components which may be added to existing panels on charts. These are represented on the lower property tree on the edit page.


(Plan View) Route, KP Flags

Part 3: Panel Components Reference ››

The route / KP flags component is used to to draw design routes with KP flag markers at a specified interval. Inchart currently supports EIVA Runlines (*.rlx), EIVA simple runline (*.rln) and VisualWorks Sail-line (*.csv) formats although more formats can be added if requested. There is also a Route from Polyline Tool which can be used to generate routes from polylines in AutoCAD.

KP flags may be either custom attributed blocks from another drawing or from one of several predefined styles. If attributed blocks are used then they should have a size of 1 unit so that they may be added to the chart at the correct size entered in the marker height properties.

Figure 1. Design route line with KP flags

There are a numerous options for formatting the line / flags / text which are self explanatory. Flag direction may be either chart direction or perpendicular on the left or right side of the line in increasing KP direction

KP calculation modes

Inchart supports the following KP calculation Modes, Grid, Geodesic (great circle) and Rhumb-line as well as Non-linear KP factors.

To use geodesic or rhumb-line KP calculation modes, EIVA .rlx format files should be used (or alternatively created from polylines using the Route from Polyline Tool ). An important consideration when using either of these modes is that your route file contains a sufficient number of projected points lying along the geodesic / rhumb-line. If necessary additional points should be calculated. The Route from Polyline Tool has functionality to calculate intermediate points if required.

For Non-linear distance factors scale factors are simply calculated and applied for each segment by comparing the start / end KP values of each segment with the actual length).


(Plan View) Matchlines

Part 3: Panel Components Reference ››

Matchlines show the outlines of other plan views within the current plan view. Inchart uses the chart centres defined in the Chart Centres page to draw the outlines with the chart name as part of the label.

Figure 2. Example matchline at one end of a plan view

There are a numerous options for formatting the matchlines / text labels which are self explanatory. The labels are the chart name with a prefix / postfix. Labels may be located on either the inside or outside of the matchline panels and may be aligned to the left, right or centre of the matchline panels ends. There are also various label rotation options.

Drawing Matchlines on a key Plan

If key plan blocks have been defined in the root Inchart chart item then Matchlines may optionally also be added to these. This will draw all the matchlines on each key plan defined. Typically for a set of alignment charts this would be used along with the corresponding option in the plan view item, to create a 'this chart' indicator on the key plan.

Note that if there are multiple plan view panels with matchlines then this option should only be enabled when adding it to one of them to avoid the same matchlines being added multiple times (each time you add to a plan view in a chart all the matchline outlines are drawn).


(Plan View) XY Lines

Part 3: Panel Components Reference ››

The XY Line component is used to simply create polylines out of some kind of X,Y data for instance an As found pipe, or a track plot. The data is loaded via the ASCII importer with mandatory easting / northing fields. The XY line component has the usual set of properties for formatting lines.

Figure 3. Example pipeline XY listing

Max Gap Size

There is a max gap size property which will split the data into multiple lines wherever the distance between consecutive points is exceeds the value in the max gap size property (i.e. there is a gap in the data). Note that setting this value to 0 will disable line splitting.


(Plan View) Geo-referenced Images

Part 3: Panel Components Reference ››

Inchart supports several geo-referenced image formats:

  • Geotiffs (with geo-referencing data embedded internally in the image's Tiff tags)
  • Image files with world file (any image with accompanying world file, i.e.. tfw, bpw, jgw, pgw)
  • Image files with HMR world file (*.hgr)

Images can either be imported individually or a directory containing a series of images with file names corresponding to chart centre names may be batch imported into multiple charts.

Figure 4. Example geotiff file shown added to a plan view

Inchart tries to obtain geo-referencing information in the following order:

  1. If the Use hgr world file option is enabled' then it will read a .hgr file if one exists
  2. Internally from GeoTiff tag (if the image is a Tiff file)
  3. From world file

If geo-referencing information is successfully read it will be displayed in the items properties:

Figure 5. Example geo-referencing information displayed in the properties window

Note that the geo-referencing displayed is calculated from the geo-referencing source and always refers to the top left corner of the image.

If the version of AutoCAD used is 2010 or greater, transparency will be automatically enabled.

Importing series data

The geo-referenced image component has series import mode accessible from the Import mode property. In Chart series mode a directory of images is selected rather than a single image. Inchart will try and add the correct images to each chart / plan view.

In order for this to work the images must adhere to a specific naming convention, for example 'Pipe1_001_1' = 'Series'_'chart name'_'key' . If the panel key is omitted, then the image will be added to the first chart centre defined for the chart (which is OK if there is only one centre per chart).

Creating series of images from EIVA NaviModel

Inchart contains several tools for passing chart centres between Inchart and NaviModel (accessible from the tools menu in Inchart). Chart centres may be exported from Inchart in an EIVA *.cdf file and dropped into NaviModel, then images batch exported for all charts in NaviModel. The images must be exported without any prefix / postfix.

Note that NaviModel exports rotated images and at the time of writing does not correctly write the rotation in the world files. For this reason .hgr files (which are always exported by NaviModel should be used). The use of rotated images allows much smaller image files to be used which has obvious benefits with regards to chart transmittal.

If north up images are required instead, there is a option to export the bounding extents of the chart centres to a *.cdf file. Following this the images may be added to charts through Inchart (the world files may be used in this circumstance). Note that north up images will likely be many times larger in file size than rotated images (particularly for alignment charts) and the end result will look the same in the charts.


(Plan View) Contours

Part 3: Panel Components Reference ››

Inchart can read contours in ASCII text format in EIVA *.nmc format or Fledermaus .xyz format. Alternatively contours exported from other software in *.dxf or *.dwg format may be be added to charts with the AutoCAD dwg Inchart component and labelled with the contour labelling tool (accessible from the tools menu).

Figure 6. Example contours added to a plan view

Contours / label text will only be drawn at the intervals specified in the contours properties with the various text / line formatting properties currently set. Using the contour component to draw contours allows control to be exercised on contour label placement with regards to the panel.

Note that when the contour labelling tool is used, the text labels will be drawn according to the settings currently in the contours component.


(Plan View) AutoCAD Drawings

Part 3: Panel Components Reference ››

Existing drawings may easily be added to plan view panels, either as XRef's, blocks or entities. Adding a drawing as a block or entities will copy the contents of the drawing and automatically trim them to the panel. If the drawing is added as an XRef the original drawing will simply be inserted as a XRef.

DWG Auto-Rotate options

Inchart has options for text auto-rotation and block auto-rotation. If these are enabled, text / blocks on the specified layers will be rotated to the plan view direction. Typically this feature may be used as an easy means of ensuring horizontal text in rotated plan views.

Pitfalls

Where possible the use of text using modified 'Standard' text style in drawing to be added to charts should be avoided as the font will be replaced with the Inchart default text style.

If the drawings are added as blocks or entities, care should be taken about layer arrangements between drawings if entities from different drawings share the same layers.

Note that if adding the drawing as entities, the drawing will be trimmed, but some entities such as block references or text which intersect the plan view edges will not be trimmed. Adding the drawing as a block will overcome this as the blocks are xclipped to the panels (after trimming) so these overlapping entities will be invisible. XRef's are also xclipped.


(Plan View) Events

Part 3: Panel Components Reference ››

Plan view events are similar to event profile events except they are drawn at they're easting / northing location rather than at a KP value along a distance axis. Easting and Northing are mandatory fields for importing event data into plan views.

Figure 7. Example events (with auto-staggering enabled) added to a plan view containing an XY line.

Existing event configurations may be exported from event panels or longitudinal profile events and imported into the plan view events. Note that if the events are exported from an events panel, then their heights will be automatically recalculated from % of event category panel height to mm.

Inchart can draw both single marker events and span events on a plan view. Single marker events are just lines with a optional text labels whilst span events are two joined up lines with an optional text label. Span events may optionally be drawn downwards (as in the example above). This option is set from the event configuration editor.

As span events in plan views draw lines at the start and end of events, it is unnecessary to also define the start and end events as single marker events (unlike event panels where only the bar is drawn between events so start and end events should also be added as single marker events). Note that for span events to be drawn correctly the user must ensure that the order of events is correct in the events file.

Auto-stagger Single Marker Events

This option if enabled will automatically increment / decrement the height of single marker events to avoid label overwriting of closely spaced events. The 'maximum height' property sets the maximum height the markers will increment to before starting to decrement. Leaders are added to the markers and will change direction when the auto staggering changes from incrementing to decrementing or vice versa. The size of each increment is a factor of the specified event label height. Note that enabling auto-staggering of events will disable the individual marker heights set in the event configuration. Note also that in order for auto-staggering to work effectively the input file should be sorted by distance along the panel (for example by KP).


(Plan View) Point Symbols

Part 3: Panel Components Reference ››

Point symbols are simply symbols (either blocks or points) inserted at locations obtained from an ASCII file. Easting and Northing are mandatory fields. If custom blocks are used (which contain text attributes) an optional label text field may also be imported from the input file.

Figure 8. Example point symbols (in this case attributed blocks with label text)

The choice of using blocks or points is set from the Display type property. If points are used then there are options to set the point size, colour, point mode etc. If custom blocks are used then the colour and scale may be set. The Auto-rotate property will rotate block references to the plan view direction.


(Longitudinal Profile) Additional Profiles

Part 3: Panel Components Reference ››

The additional longitudinal profile component provides a means of adding extra individual profiles onto existing longitudinal profile panels which have already been added to charts. Note that when using the longitudinal profile panel component, multiple profiles can and should be defined there (as long as they are columns in the same file). The additional profile will always be put in the correct place on the chart and will take into account any Y axis splits in the panel.

Data is imported through the default ASCII importer, with mandatory KP and depth fields.

It has the exactly the same formatting options as a single profile entry in the longitudinal profile panel component. Likewise it also has the same max-gap property to split lines if any gaps in the data exceed a specified limit.

The only time this component should be used is when the profile data is in a separate file from that used to initially create the longitudinal profile panel. Note that if the original longitudinal profile panel contains hatches then the additional profiles will be obscured by them and so their draw order must changed manually.


(Longitudinal Profile) Events

Part 3: Panel Components Reference ››

The longitudinal profile events component is used to add events to existing long profile panels in charts. The input data must contain KP and depth fields.

Figure 9. Example events (with auto-staggering enabled) added to a longitudinal profile panel.

There is an option of using custom block markers which is set from the Display type property.

Existing event configurations may be exported from event panels or plan view events and imported into the longitudinal profile events. Note that if the events are exported from an events panel, then their heights will be automatically recalculated from % of event category to mm.

Inchart can draw both single marker events and span events on a longitudinal profile. Single marker events are just lines with a optional text labels whilst span events are two joined up lines with an optional text label. Span events may optionally be drawn downwards (as in the example above). This option is set from the event configuration editor.

As span events in longitudinal profiles draw lines at the start and end of events, it is unnecessary to also define the start and end events as single marker events (unlike event panels where only the bar is drawn between events so start and end events should also be added as single marker events).

Note that for span events to be drawn correctly the user must ensure that the order of events is correct in the events file.

Auto-stagger Single Marker Events

This option if enabled will automatically increment / decrement the height of single marker events to avoid label overwriting of closely spaced events. The 'maximum height' property sets the maximum height the markers will increment to before starting to decrement. Leaders are added to the markers and will change direction when the auto staggering changes from incrementing to decrementing or vice versa. The size of each increment is a factor of the specified event label height. Note that enabling auto-staggering of events will disable the individual marker heights set in the event configuration. Note also that in order for auto-staggering to work effectively the input file should be sorted by distance along the panel (for example by KP).

Use Alternative depth Source

The 'use alternative depth source' option allows the events to use depths from a separate file which contains KP and depth information. If enabled a profile file is selected and the KP and depth fields identified. The depth data will be interpolated if required.

There is also an Offset property which may be applied to to offset the depths used.


(Longitudinal Profile) SBP Reflectors

Part 3: Panel Components Reference ››

The SBP reflectors component is used to add digitised SBP reflectors and point targets to existing longitudinal profiles.

Figure 10. Example SBP Reflectors added to a longitudinal seabed profile

Inchart is fairly flexible with regards to importing data in various formats. There are options to use either Coda type input formats and also SonarWiz ASCII (.csv) formats. Multiple Sub-bottom files may be selected simultaneously for each of these formats.

For all formats, data on the vertical axis must be supplied as depth below seabed. A separate Seabed Profile file must always be specified to convert the depths below seabed to true depths.

Colours for both point targets and linear features are specified in a list of ID's / colour options. Each time a SBP reflector file is selected, any undefined feature types are automatically added to the list.

Coda Type Format

The coda type format may be exported from several sub-bottom profiler interpretation software packages. It allows point targets / labels and digitised linear features to exist in the same files.

It uses the CODA .tag type format to distinguish between digitised linear and point nodes. The data must contain an ID column specifying the feature name and a Type column where:

  • S = Start of linear feature node
  • I = Intermediate linear feature node
  • E = End of linear feature node

Nodes are interpreted as point nodes if they do not fit into a start - end sequence. For example a start node will be interpreted as a point target if it is directly followed by another start node with the same ID.

Data along the distance axis may be specified by either KP or Eastings / Northings (in which case a route file is also required).

Labels may also be drawn on nodes if the draw label option is selected and the input file contains label annotation text. In order to draw labels the Point target's option to use custom blocks must be selected and a suitable block with Attribute text selected. If a linear feature contains annotation text then it will automatically also be added as a point target with label text. Alternatively the option to draw point targets as points can be selected in which case no labels will be drawn.

SonarWiz ASCII (.csv) Format

If exporting SBP digitised reflectors from SonarWiz then the ASCII (.csv) format should be used. This is a fixed format:

Individual digitised reflector entries in the files begin with a header:

Name,Description,CsfFileName,AcousticFileName,Id,ClassificationFlags,Flags,EntityType......

Directly below this follows another header followed by the list of points in the following format:

Time,Ping,CSF Row,Flags,Lat,Lon,X,Y,Thickness

Inchart can read multiple features of different descriptions either all together in a single file or alternatively multiple files can be selected simultaneously. Note that a route is always needed to convert the eastings / northings to KP.

Note that it is always necessary to provide a route file when using SonarWiz exports to internally convert the eastings / northings to KP values.


Part 4: Tools Reference

This section details the various tools available which may be run from the tools menu. The tools are split into several sub-menu's depending on their function.


(Chart) Component Removal Tool

Part 4: Tools Reference ››

The component removal tool should always be used be used to remove panels / data which have been added to charts using Inchart. It allows multiple components to be removed from multiple charts in a single operation. Using this tool to remove components also updates the internal Inchart dictionary within the chart drawings.

The tool is accessed from the Tools -> Chart menu at the top of the main Inchart window

Using The Component Removal Tool

After starting the tool a dialog will appear prompting you to select the chart *.dwg for which you want to remove components from. After selecting charts, Inchart will query the internal dictionary in each chart to identify all the chart components which have been added by Inchart and another dialog will appear containing all the Inchart components present in the selected charts:

Fig 1. Component removal tool prompt to select components to remove from charts

Clicking OK will remove the selected components from the selected charts.


(Chart) Recover Chart Centres From Existing Charts

Part 4: Tools Reference ››

The recover chart centres tool exports an Inchart chart centre *.ctr file from a selection of existing chart drawings.

The tool is accessed from the Tools -> Chart menu at the top of the main Inchart window.

It works by getting the chart series and name from the dwg's internal dictionary and gets the actual centres by querying the plan views present.


(Chart) Batch Bind Tool

Part 4: Tools Reference ››

The batch bind tool may be used to bind all the XRef's in multiple charts in a single operation. It can also set the charts plan view UCS current and add a postfix to the file name.

The tool is accessed from the Tools -> Chart menu at the top of the main Inchart window

Using The Batch Bind Tool

After starting the tool a dialog will appear prompting you to select the chart(s) .dwg's to bind. After selecting charts, Inchart will bind all resolved XRef's in the charts and optionally set the plan view UCS current in ModelSpace and add a postfix:

Fig 2. Bind options dialog

Clicking Bind will bind all charts. Note that if the 'Set plan view UCS Current' option is checked and there are multiple plan views, the first plan view's UCS will be set current.


(Chart) Assign Units Tool

Part 4: Tools Reference ››

The assign units tool allows a set of drawing unit settings to be applied to multiple chart dwg's in a single operation. Note that Inchart always assumes that all drawings are in real world coordinates and does not take into account any unit settings when it attaches XRef's or adds data from other drawings. This tool is just provided as a convenient means to change units in multiple drawings should someone wish them to have a particular set of units. By default Inchart drawings units are set to metres.

The tool is accessed from the Tools -> Chart menu at the top of the main Inchart window

Using The Assign Units Tool

The standard AutoCAD units dialog will pop up allowing you to set a range of unit settings. After clicking OK another dialog will appear prompting you to select the chart(s) .dwg's to apply the unit settings to.

Fig 3. Standard AutoCAD Units dialog used to set units

Clicking OK will assign the unit settings to each of the selected chart dwg's.


(Route) KP Calculator

Part 4: Tools Reference ››

The KP calculator is a useful utility for a variety of KP calculation tasks.

The tool is accessed from the Tools -> Route menu at the top of the main Inchart window

Fig 4. KP calculation tool palette

Once a route file is loaded, the cursor position, calculated KP and DCC will be displayed.

The buttons along the top perform the following functions:

Fig 5. Functions of KP calculation tool palette buttons

Most of the buttons are self explanatory.

Pick Points in AutoCAD

The pick points in AutoCAD button brings up a small window which can perform two functions:

  1. Centre the view on a a manually entered KP / DCC
  2. Pick a point in AutoCAD from a manually entered KP / DCC

Fig 6. Pick points in AutoCAD window

KP Calculator

The KP calculator, when opened displays a table with columns for Easting, Northing, KP and DCC. Entering Easting and northing values into the row will automatically the KP and DCC values for the row. It will also work in reverse, entering KP / DCC into the row will calculate the Easting / Northing values.

Fig 7. KP Calculator window

Values may be copied / pasted from this table directly into Excel or a text editor by right clicking on cells in the table.

Offset Lines Tool

The offset lines tool is used for drawing lines or corridors at varying DCC's along a route. Corridors may optionally be closed.

Fig 8. Offset Lines Tool


(Route) Route From Polyline Tool

Part 4: Tools Reference ››

This tool allows route files to be created from polyline's made up of arc and line segments in AutoCAD.

The tool is accessed from the tools -> Route menu at the top of the main Inchart window. You'll be prompted to select a polyline and then the following dialog box will appear with detailed information about the polyline segments:

Fig 1. Route from Polyline tool view of polyline segments

The polyline may be reversed by checking the reverse box. The start and end KP columns may be edited manually. After editing a cell, the whole route will be automatically recalculated based on the values entered.

The new route can be saved as either EIVA .rlx or Visualsoft Sailline .csv formats.

KP calculation modes

Routes can created using the following KP calculation modes:

  • Grid (default)
  • Geodesic (shortest path between two points on an ellipsoid)
  • Rhumb-line (distance between two points on an ellipsoid travelling at a constant direction).

The Geodesic and Rhumb-line modes use the ellipsoid to calculate distances and you'll be prompted to set the geodesy when switching to these distance modes. It is essential that the route consists of a sufficient number of projected points lying along the geodesic or rhumb-line, for this reason you'll also be propmpted to subdivide the route into smaller intermediate points along the geodesic / rhumb-line which will then be calculated by Inchart.

When in Geodesic or Rhumb-line modes the start / end azimuths are also displayed for each segment and it is also possible to toggle the display between geographic lat/lon and grid coordinates.


(Polyline) Thin Polyline

Part 4: Tools Reference ››

The Thin Polyline tool is used to thin out the number of points in polylines based on a nominal distance entered by the user. It retains the start / end points and only the next closest points from multiples of the nominal distances along the line. It works on LWPolylines, 2dPolylines and 3dPolylines.

The tool is accessed from the Tools -> Polyline menu at the top of the main Inchart window


(Polyline) Polyline Points

Part 4: Tools Reference ››

The Polyline Points tool copies the xyz points of the vertices in polylines to the windows clipboard. After selecting a polyline, the points can then be pasted straight into applications like Excel or Texpad. It works on LWPolylines, 2dPolylines and 3dPolylines.

The tool is accessed from the Tools -> Polyline menu at the top of the main Inchart window


(Viewport) Viewport Plan View

Part 4: Tools Reference ››

This is a simple tool which draws a plan view under a selected viewport in PaperSpace. It will prompt to select a viewport, then one of the plan views defined in the current Inchart project. It will use the extents, rotation and scale of the viewport to draw a plan view (with the settings in the selected planview) underneath the viewport in ModelSpace.

The tool is accessed from the Tools -> Viewport menu at the top of the main Inchart window


(Contours) Label Contours Tool

Part 4: Tools Reference ››

The label contours tool simply prompts to pick a linear entity (i.e. polyline, spline etc) and then labels it with it's Z value at the cursor location according to the settings in the Contours Inchart component.

Note that there is another tool Label Contours (Negated) which does exactly the same thing but inverts the sign of Z.

The tool is accessed from the Tools -> Contours menu at the top of the main Inchart window


(Contours) Contour Intersections

Part 4: Tools Reference ››

The contour intersections tool simply prompts to pick a polyline and then computes the intersection points between that polyline and all other polylines in the current drawing. Note that it only works with standard polylines (with elevation values) and computes the intersections of all the contours in Modelspace (it will not work with contours in a block or xref). This tool is intended to provide a quick means of calculating route intersections with 3rd party contour drawings. The xyz intersection points are copied to the clipboard.

Note that there is another tool Contour Intersections (Negated) which does exactly the same thing but inverts the sign of Z.

The tool is accessed from the Tools -> Contours menu at the top of the main Inchart window


(Contours) Contour Slope Labelling Tool

Part 4: Tools Reference ››

The contour slope labelling tool is used to draw slope markers between contour lines. The steepest slope (closest distance between contours) is calculated within a user defined search radius and a slope indicator block reference added and rotated to indicate the down-slope direction at the steepest point. An example is shown below:

Fig 1. Using the contour slope labelling tool to draw the steepest slope within a search area

The tool is meant for use on contours drawn by Inchart (i.e. from the Inchart contours component), it assumes that contours are LWPOLYLINES, made up of line only segments (not arcs) with fixed elevation values and on layers containing "Contours" in the name.

The slope values and direction are calculated by finding the closest distance between adjacent contour polylines within the Search radius circle. The slope block indicator is inserted at the midpoint of the imaginary line between the two closest points.

A contour slope drawing / block must be specified in order to use the tool. If attribute text is present in the block it will be set to the calculated slope angle value.


(NM3) Polyline to digitised line (*.dig)

Part 4: Tools Reference ››

The Polyline to digitised line tool file is used to create digitised line (*.dig) files which may then be dropped into NaviModel 3 projects.

For Polylines containing arc segments intermediate points will be added at 1m intervals along the arcs. This functionality may be useful when used in conjunction with the Offset Lines Tool for adding corridors in NaviModel which can then be used to crop DTM's export soundings etc.

Note that this tool ignores the Z value of polyline vertices.


(NM3) Export Eiva CDF

Part 4: Tools Reference ››

The export EIVA CDF tool exports the Chart centres as an EIVA *.cdf file which may be dropped into NaviModel3.

From Navimodel a variety of batch exports (i.e. geo-referenced images, etc) may be performed on the list of charts. If exporting images to be later imported by Inchart be sure to leave the file prefix / postfix blank. Inchart has a 'series import' to automatically import a directory of geo-referenced images to the correct charts based on filename.

Note that if the charts have rotations, then the worldfiles exported from NM3 will be incorrect. Thankfully *.hgr files are always also exported which will be correct (note that the Use .hgr world file option has to be enabled in Inchart to use these).

The tool is accessed from the Tools -> NM3 menu at the top of the main Inchart window

There is a similar tool Export EIVA CDF (non rotated extents for geotiffs) which will instead export the bounding rectangle of the charts so that North up geo-referenced images may be used.

Refer to the geo-referenced image component page for more information on using geo-referenced images in Inchart


(Geodetic) Grid<-> Geo Converter

Part 4: Tools Reference ››

The Geo <-> Grid converter tool is a simple tool for converting points between projected grid and geographic lat/lon coordinates for a given ellipsoid and projection. There is no functionality for performing datum transformations.

Fig 1. Geo <-> Grid Converter tool

The Geo <-> Grid converter uses the same dialog as the geodesy settings on the main Inchart Chart settings (using it does not affect the Chart geodesy settings though).

Points may be converted to and from geo <-> grid by entering values in one side of the test conversion boxes and using the green up down arrows to perform the conversions. Alternatively entire .csv files of points may be converted using the buttons to the left with the smaller arrows. Note that when converting files, degrees, minutes seconds symbols can be substituted for spaces. The output file will be formatted using the settings in the dialog.


(Geodetic) Geodesic Distance Calculator

Part 4: Tools Reference ››

The Geodesic distance tool is a simple tool for displaying the Grid, Geodesic and Rhumb-line distances between two points.

Fig 1. Geodesic distance calculator

To use it, set the Geodesy, enter the start and end coordinates (in either the grid or lat/lon boxes). press the 'Calculate Distances' button to display the three distances.


(Longitudinal Profile) Info Tool

Part 4: Tools Reference ››

The longitudinal profile info tool extracts distance / depth information from long profile polylines and copies the values for each point to the clipboard

To use this tool you first select the profile polyline, then select two control points of known distance and depth. Inchart uses the information from the two control points to determine the origin and horizontal / vertical scales required to transform the profile polyline points back to corrected distance / depth values.

Fig 1. Using the longitudinal profile info tool to extract distance / depth from a profile polyline

After selecting and entering information for the second control point, the values are copied to the windows clipboard, they can then be pasted directly into a text editor or excel.

The tool is accessed from the Tools -> Longitudinal profile menu at the top of the main Inchart window


(Longitudinal Profile) Slope Label Tool

Part 4: Tools Reference ››

The longitudinal slope label tool is used to draw slope markers on longitudinal profiles. After setting some options, markers can be placed by clicking points along the profile. Note that the calculated slope values are in the along profile direction.

Fig 1. Using the longitudinal profile slope marker tool to add slope markers to a profile polyline

The markers are custom blocks with attribute text. All attribute text in the block are replaced by the calculated slope values at the mouse click position.

To use this tool it is necessary to set the following properties in the dialog box:

  • Horizontal and Vertical Scale (needed to calculate the slope value)
  • Sample Size (how many points to use to use when calculating the slope values)
  • Block file, block and block scale (custom block containing the slope marker to use)

Clicking the 'Add slope Indicator' button will prompt you to click a series of points to place markers along a profile polyline.

It is important to note that this tool only calculates slope in the profile direction only. It cannot display side slope values (to do this you may use long profile events and read the values from a file containing true slope values).